This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 108657 - dasd devices above dasdbl have different major number
dasd devices above dasdbl have different major number
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-30 17:37 EST by Brock Organ
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-06 18:34:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2003-10-30 17:37:10 EST
* using RHEL 3 (Taroon-re1007.RC1.0) on s390
* using "options dasd_mod dasd=200-243" in /etc/modules.conf

The kernel/dasd interface (in /proc/dasd/devices) has bad major number info
for dasd above dasdbl:

# cat /proc/dasd/devices
0200(ECKD) at ( 94:  0) is dasda      : active at blocksize: 4096, 1802880
blocks, 7042 MB
0201(none) at ( 94:  4) is dasdb      : unknown
...
023e(none) at ( 94:248) is dasdbk     : unknown
023f(none) at ( 94:252) is dasdbl     : unknown
0240(none) at (254:  0) is dasdbm     : unknown
0241(none) at (254:  4) is dasdbn     : unknown
0242(none) at (254:  8) is dasdbo     : unknown
0243(none) at (254: 12) is dasdbp     : unknown

notice the device major number of dasdbm, dasdbn, dasdbo, and dasdbp is
incorrectly defined as 254 (earlier device major numbers are 94, though
that major is exhausted at dasdbl)
Comment 2 Pete Zaitcev 2003-11-06 18:34:11 EST
Everything works as it should, I don't see a problem.
If I cut off dynamic registrations,
 a) it would regress against Mach1
 b) IBM will rise a ruckus
So, this feature was left in on purpose. In fact, they
wanted us support dynamics officially at one point, there
was a FT item (before FZ).

Closing as notabug.

Note You need to log in before you can comment on or make changes to this bug.